%define major 1
%define libname %mklibname pcsclite %{major}
%define develname %mklibname pcsclite -d
%define staticname %mklibname pcsclite -d -s

%define with_debug 1
%{?_with_debug: %{expand: %%global with_debug 1}}

Summary:	M.U.S.C.L.E. PC/SC Framework for Linux
Name:		pcsc-lite
Version:	1.5.5
Release:	%mkrel 1
License:	BSD-like
Group:		System/Servers
URL:		http://pcsclite.alioth.debian.org
Source0:	https://alioth.debian.org/frs/download.php/2479/pcsc-lite-%{version}.tar.bz2
Source1:	https://alioth.debian.org/frs/download.php/2480/pcsc-lite-%{version}.tar.bz2.asc
Source2:	pcscd.script
BuildRequires:	chkconfig 
BuildRequires:	flex
BuildRequires:	libhal-devel
BuildRequires:	pkgconfig
BuildRequires:	tetex-latex
Requires(pre):	rpm-helper
Requires:	rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.

The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

This package was tested to work with A.E.T. Europe SafeSign. This
package is supported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	%{libname}
Summary:	Muscle PCSC Framework for Linux libraries
Group:		System/Libraries
Conflicts:	%name < 1.1.2-5mdk
Provides:	libpcsclite%{major} = %{version}-%{release}

%description -n	%{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	%{develname}
Summary:	Muscle PCSC Framework for Linux development files
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpcsclite-devel = %{version}-%{release}
Obsoletes:	%mklibname -d pcsclite 1
Conflicts:	%mklibname -d pcsclite 0

%description -n	%{develname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	%{staticname}
Summary:	Muscle PCSC Framework for Linux development files
Group:		Development/Other
Requires:	%{develname}
Obsoletes:	%mklibname -d -s pcsclite 1

%description -n	%{staticname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-static-devel package contains the static header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you may need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%prep

%setup -q

%build
%serverbuild
%configure2_5x \
   --enable-usbdropdir=%{_libdir}/pcsc/drivers/ \
   --enable-muscledropdir=%{_libdir}/pcsc/services/ \
   --enable-scf \
   --enable-runpid=%{_var}/run/pcscd.pid \
%if %{with_debug}
   --enable-debugatr \
   --enable-musclecarddebug \
%endif
   --enable-extendedapdu

# No distributed proc
make

# pdf
make -C doc pcsc-lite.pdf ifdhandler-3.pdf

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/pcsc/{services,drivers} %{buildroot}%{_sysconfdir}/reader.conf.d

%makeinstall_std

mkdir -p %{buildroot}/%{_initrddir}
cp %SOURCE2 %{buildroot}/%{_initrddir}/pcscd

# remove unpackaged files
rm -f %{buildroot}%{_datadir}/pcscd.startup
rm -rf %{buildroot}/%{_docdir}/*

%post
%_post_service pcscd

%preun
%_preun_service pcscd      

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/README.DAEMON
%attr(755,root,root) %{_initrddir}/pcscd
%dir %{_sysconfdir}/reader.conf.d
%{_sysconfdir}/reader.conf.d/*
%{_mandir}/*/*
%{_sbindir}/*
%{_libdir}/pcsc

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpcsc*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog doc/pcsc-lite.pdf doc/ifdhandler-3.pdf
%{_libdir}/pkgconfig/* 
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Sun Aug 02 2009 Emmanuel Andry <eandry@mandriva.org> 1.5.5-1mdv2010.0
+ Revision: 407552
- New version 1.5.5

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 1.5.4-1mdv2010.0
+ Revision: 402524
- New version 1.5.4

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.3-1mdv2010.0
+ Revision: 370169
- Update to new version 1.5.3

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.2-1mdv2009.1
+ Revision: 340647
- Update to new version 1.5.2

* Thu Jan 22 2009 Funda Wang <fundawang@mandriva.org> 1.5.1-1mdv2009.1
+ Revision: 332590
- New verison 1.5.1

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.102-1mdv2009.0
+ Revision: 229708
- 1.4.102
- spec file massage

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Funda Wang <fundawang@mandriva.org> 1.4.101-1mdv2009.0
+ Revision: 200030
- New version 1.4.101

* Thu Apr 24 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.4.100-1mdv2009.0
+ Revision: 197113
- prefers libhal over libusb now
- new version 1.4.100
- update License tag for licensing policy
- better library policy compliance

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4-3mdv2008.1
+ Revision: 190012
- move 360k of docs into devel subpackage

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-2mdv2008.1
+ Revision: 179159
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 80711
- correct license to BSD
- new release 1.4.4

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 52107
- new devel policy
- new release 1.4.3

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.2-1mdv2008.0
+ Revision: 32049
- added tetex-latex to buildrequries
- updated to version 1.4.2


* Wed Mar 07 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.0-1mdv2007.0
+ Revision: 134433
- updated to version 1.4.0 (same soname)

* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.2-1mdv2007.1
+ Revision: 77007
- updated to version 1.3.2
- using pid file

* Sat Sep 02 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.1-3mdv2007.0
+ Revision: 59365
- using functions for initscript (#21495)
- updated initscript to use parallel init scheme

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version 1.3.1
    - import pcsc-lite-1.3.0-3mdk

* Tue Apr 18 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-3mdk
- added missing provides

* Thu Mar 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-2mdk
- added missing buildrequires

* Thu Mar 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-1mdk
- updated to verison 1.3.0, closing #21518
- removed references to libmusclecard, it's a separate package now

* Tue Dec 06 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.9-3mdk
- fixed -devel package conflicts so that it works with x86_64 too
  (thanks to _ranger_ for the tip)

* Thu Nov 24 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.9-2mdk
- versioning devel provides

* Thu Nov 03 2005 Helio Chissini de Castro <heliocastro@mandriva.com> 1.2.9-1mdk
- New upstream beta release

* Tue Jun 14 2005 Frederic Lepied <flepied@mandriva.com> 1.1.2-6mdk
- rebuild

* Thu Oct 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-5mdk
- corrected update-reader-conf to avoid a warning when no config is present
- libification

